Bug 139472 - selinux audit messages for ntpd
Summary: selinux audit messages for ntpd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 05:06 UTC by Ben Liblit
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 17:20:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Liblit 2004-11-16 05:06:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
ntpd (from ntp-4.2.0.a.20040617-4) elicits two "denied" audit messages
when running with the "targeted" selinux policy.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.19

How reproducible:
Always

Steps to Reproduce:
1. Configure system to use "targeted" selinux policy
2. Start ntpd: "service ntpd start".
3. Look for audit messages in "/var/log/messages".
    

Actual Results:  Observed the following messages in
"/var/log/messages", rewrapped here for easier reading:

    kernel: audit(1100580884.501:0): avc:  denied  { read } for
    pid=2241
    exe=/usr/sbin/ntpd
    name=mtab
    dev=hda3
    ino=243354
    scontext=user_u:system_r:ntpd_t
    tcontext=system_u:object_r:etc_runtime_t
    tclass=file

    kernel: audit(1100580884.501:0): avc:  denied  { read } for
    pid=2241
    exe=/usr/sbin/ntpd
    name=meminfo
    dev=proc ino=-268435454
    scontext=user_u:system_r:ntpd_t
    tcontext=system_u:object_r:proc_t
    tclass=file


Expected Results:  ntpd should have started up cleanly with no selinux
audit messages.

Additional info:

Comment 1 Daniel Walsh 2004-11-16 13:27:17 UTC
Thanks, these have already been fixed in the update version of
selinux-policy-targeted-1.17.30.2.26

Dan

Comment 2 James Laska 2004-12-02 17:20:56 UTC
fixed in selinux-policy-targeted-1.17.30-2.35


Note You need to log in before you can comment on or make changes to this bug.